Bug 4548 - aterm generates symbols instead cursor movement
: aterm generates symbols instead cursor movement
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-29 15:14 by
Modified: 2005-08-30 07:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-29 15:14:43
при нажатии на клавиши  на доп.
цифровой клавиатуре генерируются буквы вместо перемещения курсора.
а именно - запускаем mc, и 8 генерирует x, 2-r, 4-t, 6-v, 1-q, 3-s, 7-w, 9-y.
------- Comment #1 From 2004-07-01 18:55:01 -------
Не могу проверить, у меня нет доп. клавиатуры.
------- Comment #2 From 2004-07-01 19:02:35 -------
Нашёл доп. клавиатуру, проверил,
8 генерит \eOx (и т.п.),
так что это поведение mc-specific.
------- Comment #3 From 2004-07-26 17:27:12 -------
запускаем mutt в xterm и запускаем mutt в aterm.
потом жмём на Home, Up, Dn, End и, как говорится, найдите 10 отличий ;)
это не mc-specific...я бы сказал, что это терминал-specific, упирающийся в
ncurses (terminfo)
------- Comment #4 From 2004-07-26 17:30:15 -------
...да и ещё - если в том же aterm сказать TERM=xterm, то mc нормально работает,
правда, по выходу он каким-то странным цветом (матовым) закрашивает терминал
(если он был белым), а mutt - отказывается.
------- Comment #5 From 2005-05-19 16:50:40 -------
fixed in mc-4.6.1